package com.yidianling.tests.router

import android.app.Activity
import android.content.Intent
import com.ydl.webview.H5Params
import com.ydl.webview.NewH5Activity
import com.ydl.ydlcommon.base.BaseApp
import com.ydl.ydlcommon.base.config.HttpConfig
import com.yidianling.router.tests.ITestsRouter

class TestsRouterImp : ITestsRouter {

    override fun testH5Result(testResultId: String) {
        val h5Params = H5Params(HttpConfig.MH5_URL+"ceshi/result/"+testResultId, null)
        NewH5Activity.start(BaseApp.getApp(),h5Params)
    }

    override fun testDetailH5(testId: String) {
        val h5Params = H5Params(HttpConfig.MH5_URL+"ceshi/"+testId, null)
        NewH5Activity.start(BaseApp.getApp(),h5Params)
    }

    override fun testDetailIntent(activity: Activity, testId: Int): Intent {
        return Intent()
    }

    override fun testResultIntent(activity: Activity, testResultId: Int): Intent {
        return Intent()
    }

    override fun testAnswerIntent(activity: Activity): Intent {
        return Intent()
    }

}